#global		_beta 2
Name:           gramps
Version:        3.3.1
Release:        1%{?_beta:.beta%{_beta}}%{?dist}
Summary:        Genealogical Research and Analysis Management Programming System

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://gramps-project.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}%{?_beta:-0beta%{_beta}}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:  gnome-python2-gnome
BuildRequires:  gnome-python2-canvas
BuildRequires:  gnome-python2-gconf
BuildRequires:  gnome-vfs2-devel
BuildRequires:  intltool
BuildRequires:  pygtk2-libglade
BuildRequires:  python-devel
BuildRequires:	gnome-doc-utils

Requires:       gnome-python2-canvas
Requires:       gnome-python2-gconf
Requires:       gnome-python2-gnomevfs
Requires:       gnome-python2-gnome
Requires:	gnome-python2-gnomeprint
Requires:	gnome-python2-gtkspell
Requires:       pygtk2
Requires:       pygtk2-libglade
Requires:       rcs
Requires:	graphviz
Requires:       python-enchant
Requires:       pyexiv2
Requires:	python-osmgpsmap

Requires:	gnu-free-serif-fonts
Requires:	gnu-free-mono-fonts
Requires:	gnu-free-fonts-common
Requires:	gnu-free-sans-fonts

Requires(pre): 	GConf2
Requires(post): desktop-file-utils
Requires(post): GConf2
Requires(preun):  GConf2
Requires(postun): desktop-file-utils

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%prep
%setup -q

%build
%configure --enable-packager-mode
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall GNOME_DATADIR="${RPM_BUILD_ROOT}%{_datadir}"
#Remove duplicate doc
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/COPYING

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
cp -p $RPM_BUILD_ROOT%{_datadir}/%{name}/images/%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/

%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING FAQ NEWS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime-info/*
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/gnome/48x48/mimetypes/*.png
%{_datadir}/icons/gnome/scalable/mimetypes/*.svg
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Oct  3 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.3.1-1
- Version 3.3.1 -- "The Tenth Anniversary Edition" bug fix release.
-
-     translation updates:  ca, cs, de, fr, hr, it, nb, nl, pl, pt_br, sk, sl, sv, uk, zh_cn
-     new languages in this release:  ja (Japanese), vi (Vietnamese)
-     36 bugs closed since v3.3.0:  http://www.gramps-project.org/bugs/roadmap_page.php?version_id=27
-     79 translation commits since v3.3.0
-     189 code commits since v3.3.0
-     ten years since v0.1.1 was first released:  http://www.gramps-project.org/wiki/index.php?title=Previous_releases
-     "Thank you!" to Donald Allingham, The Gramps Developers, translators, and our every day users

* Fri Sep  9 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.3.0-1
- Update to 3.3.0
- Drop conditionals for building on old versions of Fedora
-
- Version 3.3.0 -- the "Prelude to the next version" new feature
- release.  Note this version contains many new features, including:
-
- * many translation updates: Chinese, Croatian, Czech, Dutch, French,
-   German, Italian, Irish, Norwegian, Polish, Portuguese, Russian,
-   Serbian, Slovenian, Swedish, Ukrainian, and more!
- * new "person name" dialog and workflow with better (or new!) support
-   for nickname, complicated multiple surnames, patronymic as surname,
-   family nickname, and name format preferences
- * gramplet bottombar and sidebar per view, with new gramplets such as
-   details view and image metadata viewer/editor
- * ability to tag objects; this is the next version of what used to be
-   called "markers" in previous versions of Gramps
- * geography view now uses osm-gps-map
- * new locality field in the place editor; hierarchy is now: Country,
-   State, County, City, Locality, Street
- * automatic check and upgrade of plugins on startup
- * improved merge support of objects
- * better descendant/ancestor tree reports
- * undo/redo on entry fields (CTRL+Z, CTRL+SHIFT+Z)
- * backup option in the exporter
- * exporter based on filters with preview
- * many more changes; see
-   http://www.gramps-project.org/wiki/index.php?title=Gramps_3.3_Wiki_Manual_-_What%27s_new%3F

* Mon May  2 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.6-1
- Version 3.2.6 -- the "So far, so good." bug fix release.
- * fix memory leaks
- * fix corrupted reports
- * fix crash in cramplets
- * fix gedcom import and export
- * import speed improvements
- * NarrativeWeb fixes
- * prevent corrupting databases
- * many translation updates
- * other changes; see the changelog and the 3.2.6 roadmap: http://www.gramps-project.org/bugs/roadmap_page.php?version_id=23

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.5-2
- Removed dependencies on ImageMagik and python-reportlab
- Added dependency on python-enchant

* Thu Nov 18 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.5-1
- Version 3.2.5 -- the "I intend to live forever" bug fix release.
-
- Highlights of fixes in this release include:
-
- * fix Gramps so it again runs with Python 2.5
- * write all notes and sources to gedcom files
- * cli fixes
- * GeneWeb and LegacyGedcom fixes
- * NarrativeWeb fixes
- * memory leak fixes
- * various other small fixes
- * many translation updates

* Tue Oct 12 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.4-2
- Due to a missing .css file, we've chosen to re-release Gramps 3.2.4.
- This will only affect those who use NarrativeWeb.

* Sun Oct 10 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.4-1
- Version 3.2.4 -- the "Tententen" bug fix release.
- * fix a crash on newer distro's after an export is finished
- * styled notes cleanup and consistency improvement (nar web behaves
-   like the pdf/html output of reports)
- * newlines in styled notes are written as newlines so users can make
-   simple lists
- * many NarrativeWeb fixes
- * gedcom output fixes
- * non latin character fixes (mainly for windows)
- * recursive filter fixes
- * undo fixes
- * many translation updates
-
- Thanks to all who participated.  Looking at the Changelog file, I see
- 120+ code/translation commits and another 35+ commits just for
- translation updates.
-
- There were 17 distinct people who committed code.  (My scripts don't
- take into account checkins made on behalf of people without write
- access to svn, sorry!)  Thanks to everyone, but I personally want to
- highlight the numerous contributions -- in alphabetical order -- by
- Benny Malengier, Doug Blank, Espen Berg, Jérôme Rapinat, Mirko
- Leonhäuser, Nick Hall, Peter Landgren, Rob Healey, and Serge Noiraud.

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 3.2.3-3
- recompiling .py files against Python 2.7 (rhbz#623313)

* Wed Aug 11 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.3-2
- Rebuild for Python 2.7

* Mon May 17 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.3-1%{?dist}
- Version 3.2.3 -- the "I used to eat there. Really good noodles." release.
- * Bug fixes:
- -> several GLADE fixes
- -> several GEDCOM fixes (both export and import)
- -> several crash fixes
- -> encoding fix (Windows only)
- -> privacy/living fixes
- -> updates to NarrativeWeb and the css stylsheets
- * Translation updates: bg, ca, de, es, fr, he, nb, nl, pl, sk, sv

* Sun Apr 25 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.2-1
- Version 3.2.2 -- the "Mea navis aëricumbens anguillis abundat" release.
- * This release is a quick fix to a problem introduced by NarrativeWeb
- in the previous release.
- * Also includes a few small fixes and translation updates to hr and it.
- * See the release notes from the 3.2.1 release for the full list of
- changes and translation updates.

* Thu Apr 22 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.1-1
- Version 3.2.1 -- the "One of those men is my father" release.
- * Many bug fixes:
- -> fixed missing icons
- -> load/reload plugins must unload old plugins
- -> import/export fixes (date ranges, underscore, latitude/longitude)
- -> narrative web crash fixes and many updates, html notes, css updates
- -> geoview fixes and updates
- -> unicode error in soundex
- -> fixed crash on data entry
- * Translation updates: bg, ca, de, es, fr, he, hr, it, nb, nl, sk, sv

* Sat Apr  3 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.0-1
- Update to final release

* Fri Mar 12 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.2.0-0.1.beta2
- Update to 3.2.0 beta 2

* Wed Dec  9 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.1.3-1
- Update to 3.1.3

* Fri Aug 21 2009 Warren Togami <wtogami@redhat.com> - 3.1.2-1
- 3.1.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 27 2009 Warren Togami <wtogami@redhat.com> - 3.1.1-3
- frefont -> gnu-free* automatic detected for Fedora 11+
  Turns out gramps used them during PDF chart generation.

* Tue Mar 24 2009 Warren Togami <wtogami@redhat.com> - 3.1.1-2
- freefont was split into multiple packages gnu-free-*, however it seems that 
  gramps works fine without any of them?  Remove freefont req to fix broken
  dep for now.

* Tue Mar 10 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.1.1-1
- Version 3.1.1 -- the "Spam, bacon, sausage and spam" release:
- * The release of 3.1.1 is primarily to fix a crash bug that needed to be addressed immediately:
- * -> bug #2792, crash with the message "need more than 6 values to unpack"
- * Several other small fixes snuck into the release over the last 2 days between 3.1.0 and 3.1.1:
- * -> add a warning when installing from .tar.gz
- * -> bug #2121 - graphviz reports were generated off-page
- * -> various gramplet fixes
- * -> several text typo fixes and translation updates (de, fr)
- * -> bug #2772 - name display format
- * -> bug #2789 - fix for HTTP 404 in NarrativeWeb due to bad relative path

* Sat Mar  7 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.1.0-1
- Update to 3.1.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec  7 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.0.4-1
- Update to 3.0.4

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.0.3-1
- Rebuild for Python 2.6

* Thu Nov 20 2008 Russell Harrison <rharrison@fedoraproject.org> - 3.0.3-0
- Update to 3.0.3.
- Changed build arguments to "--enable-packager-mode" from "--disable-schemas-install --disable-scrollkeeper --disable-mime-install".
- Removed scrollkeeper commands and dependencies.
- Removed GCONF schema commands as schema files are no longer created by the build. pre and preun sections are no longer needed.
- Help files are now stored on the gramps wiki instead of created durring the build.
- Changed gnome-python2 dependency to gnome-python2-gnome for F10 and above per bug #460006
- Included a patch to allow gramps to work with BerkeleyDB 4.7 in F10

* Mon Jan 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 2.2.10-1
- Update to 2.2.10.

* Sun Oct 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.9-1
- Update to 2.2.9.
- Update gtk icon scriptlet.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.8-5
- Update license tag.

* Sun Jun 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.8-4
- Drop requires on yelp.

* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.8-3
- Remove depreciated desktop file categories, and add category on gtk.

* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.8-2
- Add requires on yelp. (#243399)

* Mon May 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.8-1
- Update to 2.2.8.

* Fri May 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.7-1
- Update to 2.2.7.

* Mon Jan 29 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.6-1
- Update to 2.2.6.

* Sun Jan 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.5-1
- Update to 2.2.5.

* Wed Dec 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.4-3
- Add requires on gnome-python2-gtkspell & freefont.

* Tue Dec 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.4-2
- Add gramp.png to files.

* Tue Dec 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.4-1
- Update to 2.2.4.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.3-2
- Rebuild against new python.

* Mon Nov 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.3-1
- Update to 2.2.3.
- Add scalable mimetype icons to files section.

* Sat Nov  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2.
- Add scriptlet for gtk+ icon cache.
- Disable scrollkeeper & mime-install in configure.
- Simplify files since we are no longer ghosting *.pyo files.
- Drop X-Fedora desktop category.
- Add BR on gnome-doc-utils.

* Wed Sep  6 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.0.11-5
- Don't ghost *.pyo files.

* Sat Sep  2 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.0.11-4
- Rebuild for FC6.
- Remove requires on python, it's no longer needed.
- Use --disable-schemas-install to config.
- Add BR for perl(XML::Parser).

* Mon May  1 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.11-3
- Update to 2.0.11.
- Drop INSTALL, README & ChangeLog documentation.
- Ghost .pyo files.

* Sat Mar 11 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.10-3
- Remove Utility category from desktop file.
- Update scriptlets.

* Tue Feb 28 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.10-2
- Update to 2.0.10.

* Thu Feb 16 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-6
- Remove unnecessary BR (gnome-python2-gnomevfs, pygtk2, gnome-python2, GConf2). 

* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-5
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-4
- Add require for shared-mime-info.
- Remove mime.cache.
- Use python-abi.

* Wed Dec 14 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-3
- Add requires for gnome-python2-gnomeprint.

* Tue Dec 13 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-2
- Make noarch. (#170974)
- Update to 2.0.9.

* Wed Sep  7 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.8-2
- Update to 2.0.8.

* Wed Aug 17 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.6-3
- Specify ver for python-reportlab.

* Mon Aug 15 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.6-2
- Update to 2.0.6.
- Bump minimum ver for python.
- Add requires for python-reportlab & graphviz for reports.

* Wed Jul  6 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.5-1
- Update to 2.0.5.

* Wed Jun 29 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.4-1
- Update to 2.0.4.

* Sat Jun 18 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.3-1
- Update to 2.0.3.
- Add dist tag.

* Sat May 21 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.0-1
- Update to 2.0.0.
- Add mime info.
- Use more macros.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 06 2005 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.10-1
- 1.0.10.

* Sun Nov 28 2004 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.8-3
- Version bump.

* Sat Nov 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.8-0.fdr.2
- Spec cleanup.

* Sat Nov 06 2004 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.8-0.fdr.1
- 1.0.8.

* Wed Aug 18 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.7-0.fdr.1
- Update to 1.0.7.

* Sat Jul 31 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.5-0.fdr.1
- Update to 1.0.5.

* Wed Jul 21 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.4-0.fdr.1
- Update to 1.0.4.

* Thu Apr 22 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.3-0.fdr.1
- Update to 1.0.3.

* Tue Apr 20 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2-0.fdr.2
- Dropped unneccessary BuildReqs.
- Removed Requires(foo,bar) notation.

* Tue Apr 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2-0.fdr.1
- Update to 1.0.2.
- Using upstream desktop entry.

* Sat Feb 28 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.1.0-0.fdr.1
- Update to 1.0.1.

* Mon Jan 12 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.98.0-0.fdr.1
- Update to 0.98.0.

* Sat Nov 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.5
- dropped smp_mflags.

* Fri Nov 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.4
- Req gnome-python2.

* Mon Nov 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.3
- BuildReq gnome-python2.

* Mon Nov 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.2
- Modifications to desktop entry.
- Reqs ImageMagick and rcs.

* Fri Oct 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.1
- Initial RPM release.
